button {
    font-family: Helvetica, sans-serif;
    font-weight: 100;
    color: #fff;
}

h2 {
    font-size: 30px;
    letter-spacing: 0.5em;
    text-align: center;
    margin-top: 50px;
    line-height: 1.6em;
}

.containerfo {
    text-align: center;
    position: relative;
    width: 300px;
    margin: 0 auto;
    cursor: pointer;
}

button {
    position: relative;
    height: 50px;
    width: 280px;
    border: 0;
    border-radius: 5px;
    font-size: 1.1em;
    letter-spacing: 0.2em;
    overflow: hidden;
    box-shadow: 0 4px 12px 0 rgba(152, 160, 180, 10);
    z-index: -2;
}

.button-one {}

.fill-onefo {
    position: absolute;
    background-color: red;
    height: 70px;
    width: 420px;
    border-radius: 5px;
    margin: -40px 0 0 -140px;
    z-index: -1;
    transition: all 0.4s ease;
}

.container-onefo:hover .fill-onefo {
    -webkit-transform: translateX(100px);
    -moz-transform: translateX(100px);
    transform: translateX(100px);
}

.fill-twofo {
    position: absolute;
    background-color: green;
    background-size: 150% 150%;
    height: 70px;
    width: 420px;
    border-radius: 5px;
    margin: -40px 0 0 -140px;
    z-index: -1;
    transition: all 0.4s ease;
}

.container-twofo:hover .fill-two {
    -webkit-transform: translateX(100px);
    -moz-transform: translateX(100px);
    transform: translateX(100px);
}

.fill-threefo {
    position: absolute;
    background-color: rgb(211, 200, 221);
    background-size: 150% 150%;
    height: 70px;
    width: 420px;
    border-radius: 5px;
    margin: -40px 0 0 -140px;
    z-index: -1;
    transition: all 0.4s ease;
}

.container-threefo:hover .fill-three {
    -webkit-transform: translateX(100px);
    -moz-transform: translateX(100px);
    transform: translateX(100px);
}